import { getIcon } from 'obsidian'
import { isFileCanvas, isFileExcalidraw, isFileImage, isFilePDF } from './utils'

export function getDefaultIconSVG(notePath: string): string {
  // Return SVG content for default icons based on file type
  let iconName = 'file'

  if (notePath === 'folder') {
    iconName = 'folder'
  } else {
    if (isFileImage(notePath)) {
      iconName = 'image'
    } else if (isFilePDF(notePath)) {
      iconName = 'file-text'
    } else if (isFileCanvas(notePath) || isFileExcalidraw(notePath)) {
      iconName = 'layout-dashboard'
    }
  }
  const iconEl = getIcon(iconName)
  return iconEl ? iconEl.outerHTML : ''
}
